Bug 1001361 - Ruby on Rails 4.0
Ruby on Rails 4.0
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Travis
Fedora Docs QA
: Tracking
Depends On: 998578
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 19:05 EDT by Pete Travis
Modified: 2014-01-13 08:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 998578
Environment:
Last Closed: 2014-01-13 08:55:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2013-08-26 19:05:02 EDT
+++ This bug was initially created as a clone of Bug #998578 +++

This is a tracking bug for Change: Ruby on Rails 4.0
For more details, see: http://fedoraproject.org//wiki/Changes/Ruby_on_Rails_4.0

Ruby on Rails 4.0 is the latest version of well know web framework written in Ruby.

Discussion at https://lists.fedoraproject.org/pipermail/devel-announce/2013-July/001189.html

Please create entries for this Change in the Release Notes.
Comment 1 Pete Travis 2013-10-06 00:53:19 EDT
draft posted to https://fedoraproject.org/wiki/Documentation_Development_Web_Beat
Comment 2 Vít Ondruch 2013-10-07 03:52:04 EDT
Hi Pete,

The "This latest release includes improved functionality, speed, and security in addition to better modularization." sentence looks more like Rails 3.0 description. Wouldn't be better to condensate the three bullets from [1] into one sentence instead (or in addition), something along the lines:

"This release highly improves caching through key-based expiration with automatic dependency management of nested templates, speeds-up the client-side essentially by turning your app into a single-page javascript application and benefits from the latest HTTP etag features."

[1] http://weblog.rubyonrails.org/2013/6/25/Rails-4-0-final/

Note You need to log in before you can comment on or make changes to this bug.